//
// sprite constants
//

enum
{
    SPR_DEMO,
#ifndef APOGEE_1_0
    SPR_DEATHCAM,
#endif
//
// static sprites
//
    SPR_STAT_0,SPR_STAT_1,SPR_STAT_2,SPR_STAT_3,
    SPR_STAT_4,SPR_STAT_5,SPR_STAT_6,SPR_STAT_7,

    SPR_STAT_8,SPR_STAT_9,SPR_STAT_10,SPR_STAT_11,
    SPR_STAT_12,SPR_STAT_13,SPR_STAT_14,SPR_STAT_15,

    SPR_STAT_16,SPR_STAT_17,SPR_STAT_18,SPR_STAT_19,
    SPR_STAT_20,SPR_STAT_21,SPR_STAT_22,SPR_STAT_23,

    SPR_STAT_24,SPR_STAT_25,SPR_STAT_26,SPR_STAT_27,
    SPR_STAT_28,SPR_STAT_29,SPR_STAT_30,SPR_STAT_31,

    SPR_STAT_32,SPR_STAT_33,SPR_STAT_34,SPR_STAT_35,
    SPR_STAT_36,SPR_STAT_37,SPR_STAT_38,SPR_STAT_39,

    SPR_STAT_40,SPR_STAT_41,SPR_STAT_42,SPR_STAT_43,
    SPR_STAT_44,SPR_STAT_45,SPR_STAT_46,SPR_STAT_47,

#ifdef SPEAR
    SPR_STAT_48,SPR_STAT_49,SPR_STAT_50,SPR_STAT_51,
#endif

//
// guard
//
    SPR_GRD_S_1,SPR_GRD_S_2,SPR_GRD_S_3,SPR_GRD_S_4,
    SPR_GRD_S_5,SPR_GRD_S_6,SPR_GRD_S_7,SPR_GRD_S_8,

    SPR_GRD_W1_1,SPR_GRD_W1_2,SPR_GRD_W1_3,SPR_GRD_W1_4,
    SPR_GRD_W1_5,SPR_GRD_W1_6,SPR_GRD_W1_7,SPR_GRD_W1_8,

    SPR_GRD_W2_1,SPR_GRD_W2_2,SPR_GRD_W2_3,SPR_GRD_W2_4,
    SPR_GRD_W2_5,SPR_GRD_W2_6,SPR_GRD_W2_7,SPR_GRD_W2_8,

    SPR_GRD_W3_1,SPR_GRD_W3_2,SPR_GRD_W3_3,SPR_GRD_W3_4,
    SPR_GRD_W3_5,SPR_GRD_W3_6,SPR_GRD_W3_7,SPR_GRD_W3_8,

    SPR_GRD_W4_1,SPR_GRD_W4_2,SPR_GRD_W4_3,SPR_GRD_W4_4,
    SPR_GRD_W4_5,SPR_GRD_W4_6,SPR_GRD_W4_7,SPR_GRD_W4_8,

    SPR_GRD_PAIN_1,SPR_GRD_DIE_1,SPR_GRD_DIE_2,SPR_GRD_DIE_3,
    SPR_GRD_PAIN_2,SPR_GRD_DEAD,

    SPR_GRD_SHOOT1,SPR_GRD_SHOOT2,SPR_GRD_SHOOT3,

//
// dogs
//
    SPR_DOG_W1_1,SPR_DOG_W1_2,SPR_DOG_W1_3,SPR_DOG_W1_4,
    SPR_DOG_W1_5,SPR_DOG_W1_6,SPR_DOG_W1_7,SPR_DOG_W1_8,

    SPR_DOG_W2_1,SPR_DOG_W2_2,SPR_DOG_W2_3,SPR_DOG_W2_4,
    SPR_DOG_W2_5,SPR_DOG_W2_6,SPR_DOG_W2_7,SPR_DOG_W2_8,

    SPR_DOG_W3_1,SPR_DOG_W3_2,SPR_DOG_W3_3,SPR_DOG_W3_4,
    SPR_DOG_W3_5,SPR_DOG_W3_6,SPR_DOG_W3_7,SPR_DOG_W3_8,

    SPR_DOG_W4_1,SPR_DOG_W4_2,SPR_DOG_W4_3,SPR_DOG_W4_4,
    SPR_DOG_W4_5,SPR_DOG_W4_6,SPR_DOG_W4_7,SPR_DOG_W4_8,

    SPR_DOG_DIE_1,SPR_DOG_DIE_2,SPR_DOG_DIE_3,SPR_DOG_DEAD,
    SPR_DOG_JUMP1,SPR_DOG_JUMP2,SPR_DOG_JUMP3,



//
// ss
//
    SPR_SS_S_1,SPR_SS_S_2,SPR_SS_S_3,SPR_SS_S_4,
    SPR_SS_S_5,SPR_SS_S_6,SPR_SS_S_7,SPR_SS_S_8,

    SPR_SS_W1_1,SPR_SS_W1_2,SPR_SS_W1_3,SPR_SS_W1_4,
    SPR_SS_W1_5,SPR_SS_W1_6,SPR_SS_W1_7,SPR_SS_W1_8,

    SPR_SS_W2_1,SPR_SS_W2_2,SPR_SS_W2_3,SPR_SS_W2_4,
    SPR_SS_W2_5,SPR_SS_W2_6,SPR_SS_W2_7,SPR_SS_W2_8,

    SPR_SS_W3_1,SPR_SS_W3_2,SPR_SS_W3_3,SPR_SS_W3_4,
    SPR_SS_W3_5,SPR_SS_W3_6,SPR_SS_W3_7,SPR_SS_W3_8,

    SPR_SS_W4_1,SPR_SS_W4_2,SPR_SS_W4_3,SPR_SS_W4_4,
    SPR_SS_W4_5,SPR_SS_W4_6,SPR_SS_W4_7,SPR_SS_W4_8,

    SPR_SS_PAIN_1,SPR_SS_DIE_1,SPR_SS_DIE_2,SPR_SS_DIE_3,
    SPR_SS_PAIN_2,SPR_SS_DEAD,

    SPR_SS_SHOOT1,SPR_SS_SHOOT2,SPR_SS_SHOOT3,

//
// mutant
//
    SPR_MUT_S_1,SPR_MUT_S_2,SPR_MUT_S_3,SPR_MUT_S_4,
    SPR_MUT_S_5,SPR_MUT_S_6,SPR_MUT_S_7,SPR_MUT_S_8,

    SPR_MUT_W1_1,SPR_MUT_W1_2,SPR_MUT_W1_3,SPR_MUT_W1_4,
    SPR_MUT_W1_5,SPR_MUT_W1_6,SPR_MUT_W1_7,SPR_MUT_W1_8,

    SPR_MUT_W2_1,SPR_MUT_W2_2,SPR_MUT_W2_3,SPR_MUT_W2_4,
    SPR_MUT_W2_5,SPR_MUT_W2_6,SPR_MUT_W2_7,SPR_MUT_W2_8,

    SPR_MUT_W3_1,SPR_MUT_W3_2,SPR_MUT_W3_3,SPR_MUT_W3_4,
    SPR_MUT_W3_5,SPR_MUT_W3_6,SPR_MUT_W3_7,SPR_MUT_W3_8,

    SPR_MUT_W4_1,SPR_MUT_W4_2,SPR_MUT_W4_3,SPR_MUT_W4_4,
    SPR_MUT_W4_5,SPR_MUT_W4_6,SPR_MUT_W4_7,SPR_MUT_W4_8,

    SPR_MUT_PAIN_1,SPR_MUT_DIE_1,SPR_MUT_DIE_2,SPR_MUT_DIE_3,
    SPR_MUT_PAIN_2,SPR_MUT_DIE_4,SPR_MUT_DEAD,

    SPR_MUT_SHOOT1,SPR_MUT_SHOOT2,SPR_MUT_SHOOT3,SPR_MUT_SHOOT4,

//
// officer
//
    SPR_OFC_S_1,SPR_OFC_S_2,SPR_OFC_S_3,SPR_OFC_S_4,
    SPR_OFC_S_5,SPR_OFC_S_6,SPR_OFC_S_7,SPR_OFC_S_8,

    SPR_OFC_W1_1,SPR_OFC_W1_2,SPR_OFC_W1_3,SPR_OFC_W1_4,
    SPR_OFC_W1_5,SPR_OFC_W1_6,SPR_OFC_W1_7,SPR_OFC_W1_8,

    SPR_OFC_W2_1,SPR_OFC_W2_2,SPR_OFC_W2_3,SPR_OFC_W2_4,
    SPR_OFC_W2_5,SPR_OFC_W2_6,SPR_OFC_W2_7,SPR_OFC_W2_8,

    SPR_OFC_W3_1,SPR_OFC_W3_2,SPR_OFC_W3_3,SPR_OFC_W3_4,
    SPR_OFC_W3_5,SPR_OFC_W3_6,SPR_OFC_W3_7,SPR_OFC_W3_8,

    SPR_OFC_W4_1,SPR_OFC_W4_2,SPR_OFC_W4_3,SPR_OFC_W4_4,
    SPR_OFC_W4_5,SPR_OFC_W4_6,SPR_OFC_W4_7,SPR_OFC_W4_8,

    SPR_OFC_PAIN_1,SPR_OFC_DIE_1,SPR_OFC_DIE_2,SPR_OFC_DIE_3,
    SPR_OFC_PAIN_2,SPR_OFC_DIE_4,SPR_OFC_DEAD,

    SPR_OFC_SHOOT1,SPR_OFC_SHOOT2,SPR_OFC_SHOOT3,

#ifndef SPEAR
//
// ghosts
//
    SPR_BLINKY_W1,SPR_BLINKY_W2,SPR_PINKY_W1,SPR_PINKY_W2,
    SPR_CLYDE_W1,SPR_CLYDE_W2,SPR_INKY_W1,SPR_INKY_W2,

//
// hans
//
    SPR_BOSS_W1,SPR_BOSS_W2,SPR_BOSS_W3,SPR_BOSS_W4,
    SPR_BOSS_SHOOT1,SPR_BOSS_SHOOT2,SPR_BOSS_SHOOT3,SPR_BOSS_DEAD,

    SPR_BOSS_DIE1,SPR_BOSS_DIE2,SPR_BOSS_DIE3,

//
// schabbs
//
    SPR_SCHABB_W1,SPR_SCHABB_W2,SPR_SCHABB_W3,SPR_SCHABB_W4,
    SPR_SCHABB_SHOOT1,SPR_SCHABB_SHOOT2,

    SPR_SCHABB_DIE1,SPR_SCHABB_DIE2,SPR_SCHABB_DIE3,SPR_SCHABB_DEAD,
    SPR_HYPO1,SPR_HYPO2,SPR_HYPO3,SPR_HYPO4,

//
// fake
//
    SPR_FAKE_W1,SPR_FAKE_W2,SPR_FAKE_W3,SPR_FAKE_W4,
    SPR_FAKE_SHOOT,SPR_FIRE1,SPR_FIRE2,

    SPR_FAKE_DIE1,SPR_FAKE_DIE2,SPR_FAKE_DIE3,SPR_FAKE_DIE4,
    SPR_FAKE_DIE5,SPR_FAKE_DEAD,

//
// hitler
//
    SPR_MECHA_W1,SPR_MECHA_W2,SPR_MECHA_W3,SPR_MECHA_W4,
    SPR_MECHA_SHOOT1,SPR_MECHA_SHOOT2,SPR_MECHA_SHOOT3,SPR_MECHA_DEAD,

    SPR_MECHA_DIE1,SPR_MECHA_DIE2,SPR_MECHA_DIE3,

    SPR_HITLER_W1,SPR_HITLER_W2,SPR_HITLER_W3,SPR_HITLER_W4,
    SPR_HITLER_SHOOT1,SPR_HITLER_SHOOT2,SPR_HITLER_SHOOT3,SPR_HITLER_DEAD,

    SPR_HITLER_DIE1,SPR_HITLER_DIE2,SPR_HITLER_DIE3,SPR_HITLER_DIE4,
    SPR_HITLER_DIE5,SPR_HITLER_DIE6,SPR_HITLER_DIE7,

//
// giftmacher
//
    SPR_GIFT_W1,SPR_GIFT_W2,SPR_GIFT_W3,SPR_GIFT_W4,
    SPR_GIFT_SHOOT1,SPR_GIFT_SHOOT2,

    SPR_GIFT_DIE1,SPR_GIFT_DIE2,SPR_GIFT_DIE3,SPR_GIFT_DEAD,
#endif
//
// Rocket, smoke and small explosion
//
    SPR_ROCKET_1,SPR_ROCKET_2,SPR_ROCKET_3,SPR_ROCKET_4,
    SPR_ROCKET_5,SPR_ROCKET_6,SPR_ROCKET_7,SPR_ROCKET_8,

    SPR_SMOKE_1,SPR_SMOKE_2,SPR_SMOKE_3,SPR_SMOKE_4,
    SPR_BOOM_1,SPR_BOOM_2,SPR_BOOM_3,

//
// Angel of Death's DeathSparks(tm)
//
#ifdef SPEAR
    SPR_HROCKET_1,SPR_HROCKET_2,SPR_HROCKET_3,SPR_HROCKET_4,
    SPR_HROCKET_5,SPR_HROCKET_6,SPR_HROCKET_7,SPR_HROCKET_8,

    SPR_HSMOKE_1,SPR_HSMOKE_2,SPR_HSMOKE_3,SPR_HSMOKE_4,
    SPR_HBOOM_1,SPR_HBOOM_2,SPR_HBOOM_3,

    SPR_SPARK1,SPR_SPARK2,SPR_SPARK3,SPR_SPARK4,
#endif

#ifndef SPEAR
//
// gretel
//
    SPR_GRETEL_W1,SPR_GRETEL_W2,SPR_GRETEL_W3,SPR_GRETEL_W4,
    SPR_GRETEL_SHOOT1,SPR_GRETEL_SHOOT2,SPR_GRETEL_SHOOT3,SPR_GRETEL_DEAD,

    SPR_GRETEL_DIE1,SPR_GRETEL_DIE2,SPR_GRETEL_DIE3,

//
// fat face
//
    SPR_FAT_W1,SPR_FAT_W2,SPR_FAT_W3,SPR_FAT_W4,
    SPR_FAT_SHOOT1,SPR_FAT_SHOOT2,SPR_FAT_SHOOT3,SPR_FAT_SHOOT4,

    SPR_FAT_DIE1,SPR_FAT_DIE2,SPR_FAT_DIE3,SPR_FAT_DEAD,

//
// bj
//
#ifdef APOGEE_1_0
    SPR_BJ_W1=360,
#elif defined(APOGEE_1_1) && defined(UPLOAD)
    SPR_BJ_W1=406,
#else
    SPR_BJ_W1,
#endif
    SPR_BJ_W2,SPR_BJ_W3,SPR_BJ_W4,
    SPR_BJ_JUMP1,SPR_BJ_JUMP2,SPR_BJ_JUMP3,SPR_BJ_JUMP4,
#else
//
// THESE ARE FOR 'SPEAR OF DESTINY'
//

//
// Trans Grosse
//
    SPR_TRANS_W1,SPR_TRANS_W2,SPR_TRANS_W3,SPR_TRANS_W4,
    SPR_TRANS_SHOOT1,SPR_TRANS_SHOOT2,SPR_TRANS_SHOOT3,SPR_TRANS_DEAD,

    SPR_TRANS_DIE1,SPR_TRANS_DIE2,SPR_TRANS_DIE3,

//
// Wilhelm
//
    SPR_WILL_W1,SPR_WILL_W2,SPR_WILL_W3,SPR_WILL_W4,
    SPR_WILL_SHOOT1,SPR_WILL_SHOOT2,SPR_WILL_SHOOT3,SPR_WILL_SHOOT4,

    SPR_WILL_DIE1,SPR_WILL_DIE2,SPR_WILL_DIE3,SPR_WILL_DEAD,

//
// UberMutant
//
    SPR_UBER_W1,SPR_UBER_W2,SPR_UBER_W3,SPR_UBER_W4,
    SPR_UBER_SHOOT1,SPR_UBER_SHOOT2,SPR_UBER_SHOOT3,SPR_UBER_SHOOT4,

    SPR_UBER_DIE1,SPR_UBER_DIE2,SPR_UBER_DIE3,SPR_UBER_DIE4,
    SPR_UBER_DEAD,

//
// Death Knight
//
    SPR_DEATH_W1,SPR_DEATH_W2,SPR_DEATH_W3,SPR_DEATH_W4,
    SPR_DEATH_SHOOT1,SPR_DEATH_SHOOT2,SPR_DEATH_SHOOT3,SPR_DEATH_SHOOT4,

    SPR_DEATH_DIE1,SPR_DEATH_DIE2,SPR_DEATH_DIE3,SPR_DEATH_DIE4,
    SPR_DEATH_DIE5,SPR_DEATH_DIE6,SPR_DEATH_DEAD,

//
// Ghost
//
    SPR_SPECTRE_W1,SPR_SPECTRE_W2,SPR_SPECTRE_W3,SPR_SPECTRE_W4,
    SPR_SPECTRE_F1,SPR_SPECTRE_F2,SPR_SPECTRE_F3,SPR_SPECTRE_F4,

//
// Angel of Death
//
    SPR_ANGEL_W1,SPR_ANGEL_W2,SPR_ANGEL_W3,SPR_ANGEL_W4,
    SPR_ANGEL_SHOOT1,SPR_ANGEL_SHOOT2,SPR_ANGEL_TIRED1,SPR_ANGEL_TIRED2,

    SPR_ANGEL_DIE1,SPR_ANGEL_DIE2,SPR_ANGEL_DIE3,SPR_ANGEL_DIE4,
    SPR_ANGEL_DIE5,SPR_ANGEL_DIE6,SPR_ANGEL_DIE7,SPR_ANGEL_DEAD,

#endif

//
// player attack frames
//
    SPR_KNIFEREADY,SPR_KNIFEATK1,SPR_KNIFEATK2,SPR_KNIFEATK3,
    SPR_KNIFEATK4,

    SPR_PISTOLREADY,SPR_PISTOLATK1,SPR_PISTOLATK2,SPR_PISTOLATK3,
    SPR_PISTOLATK4,

    SPR_MACHINEGUNREADY,SPR_MACHINEGUNATK1,SPR_MACHINEGUNATK2,MACHINEGUNATK3,
    SPR_MACHINEGUNATK4,

    SPR_CHAINREADY,SPR_CHAINATK1,SPR_CHAINATK2,SPR_CHAINATK3,
    SPR_CHAINATK4,

                // WolfDX's sprites are placed here

    SPR_OBJ_01,SPR_OBJ_02,SPR_OBJ_03,SPR_OBJ_04,
    SPR_OBJ_05,SPR_OBJ_06,SPR_OBJ_07,SPR_OBJ_08,
    SPR_OBJ_09,SPR_OBJ_10,SPR_OBJ_11,SPR_OBJ_12,
    SPR_OBJ_13,SPR_OBJ_14,SPR_OBJ_15,SPR_OBJ_16,
    SPR_OBJ_17,SPR_OBJ_18,SPR_OBJ_19,SPR_OBJ_20,
    SPR_OBJ_21,SPR_OBJ_22,SPR_OBJ_23,RECT_EMPTY,
    SPR_OBJ_25,SPR_OBJ_26,SPR_OBJ_27,SPR_OBJ_28,
    SPR_OBJ_29,SPR_OBJ_30,SPR_OBJ_31,AMMO_CRATE,
    TABL_EMPTY,TABL_ITEM1,TABL_ITEM2,TABL_ITEM3,
    TABL_ITEM4,TABL_ITEM5,FOOD_EMPTY,CRAT_EMPTY,
    TABL_ANIM0,TABL_ANIM1,TABL_ANIM2,TABL_ANIM3,
    SPR_OBJ_33,SPR_OBJ_34,SPR_OBJ_35,BOMB_CRATE,
    SPR_FEN_EW,SPR_FEN_NS,SPR_EAG_EW,SPR_EAG_NS,

//
// Gatler
//
    SPR_GATLER_W1,SPR_GATLER_W2,SPR_GATLER_W3,SPR_GATLER_W4,
    SPR_GATLER_SHOOT1,SPR_GATLER_SHOOT2,SPR_GATLER_SHOOT3,SPR_GATLER_DEAD,

    SPR_GATLER_DIE1,SPR_GATLER_DIE2,SPR_GATLER_DIE3,

//
// more WolfDX objects
//
    RECT_GAGUN,RECT_BBELT,SPR_OBJ_36,SPR_OBJ_37,SPR_OBJ_38,SPR_OBJ_39,SPR_OBJ_40,
    SPR_BRF_EW,SPR_BRF_NS,

// WolfDX desctructible objects
    SPR_B1_STAND,SPR_B1_DIE1,SPR_B1_DIE2,SPR_B1_DIE3,SPR_B1_DEAD,
    SPR_B2_STAND,SPR_B2_DIE1,SPR_B2_DIE2,SPR_B2_DIE3,SPR_B2_DEAD,
    SPR_B_POISON,SPR_BLKDRUM,

    SPR_SSFLAG1,SPR_SSFLAG2,SPR_TOFLAG1,SPR_TOFLAG2,

    SPR_PLANT_STAND,SPR_PLANT_DIE0,SPR_PLANT_DIE1,SPR_PLANT_DIE2,
    SPR_PLANT_DEAD,SPR_PLANT_DIE3,SPR_PLANT_DIE4,SPR_PLANT_DIE5,
    SPR_PLANT_DIE6,SPR_PLANT_DIE7,SPR_PLANT_DIE8,SPR_PLANT_DIE9,
    SPR_CHEAT,

    TABL_RLAUNCH,TABL_KEY3,TABL_KEY4,TABL_TREAS1,TABL_TREAS2,TABL_TREAS3,
    TABL_TREAS4,

//
// WolfDX - Guard 2
//
    SPR_GRD2_S_1,

    SPR_GRD2_W1_1,SPR_GRD2_W1_2,SPR_GRD2_W1_3,SPR_GRD2_W1_4,
    SPR_GRD2_W1_5,SPR_GRD2_W1_6,SPR_GRD2_W1_7,SPR_GRD2_W1_8,

    SPR_GRD2_W2_1,SPR_GRD2_W2_2,SPR_GRD2_W2_3,SPR_GRD2_W2_4,
    SPR_GRD2_W2_5,SPR_GRD2_W2_6,SPR_GRD2_W2_7,SPR_GRD2_W2_8,

    SPR_GRD2_W3_1,SPR_GRD2_W3_2,SPR_GRD2_W3_3,SPR_GRD2_W3_4,
    SPR_GRD2_W3_5,SPR_GRD2_W3_6,SPR_GRD2_W3_7,SPR_GRD2_W3_8,

    SPR_GRD2_W4_1,SPR_GRD2_W4_2,SPR_GRD2_W4_3,SPR_GRD2_W4_4,
    SPR_GRD2_W4_5,SPR_GRD2_W4_6,SPR_GRD2_W4_7,SPR_GRD2_W4_8,

    SPR_GRD2_PAIN_1,SPR_GRD2_DIE_1,SPR_GRD2_DIE_2,SPR_GRD2_DIE_3,
    SPR_GRD2_PAIN_2,SPR_GRD2_DEAD,

    SPR_GRD2_SHOOT1,SPR_GRD2_SHOOT2,SPR_GRD2_SHOOT3,

// More WolfDX sprites
    SPR_RKTLAU,SPR_BOXROC,SPR_ARMOR2,SPR_TREASNEW,SPR_CABA,SPR_CABB,
    SPR_PORTABLE0,SPR_PORTABLE1,SPR_PORTABLE2,SPR_PORTABLE3,
    SPR_MUT_UNIT,TABL_ANTID,SPR_BUNKS,SPR_GATEG0,SPR_GATEG1,

    SPR_ROCKREADY,SPR_ROCKATK1,SPR_ROCKATK2,SPR_ROCKATK3,
    SPR_ROCKATK4,

// Enemy scientist
    SPR_SCI0,SPR_SCI1,SPR_SCI2,SPR_SCI3,SPR_SCIPAIN1,SPR_SCIDIE1,
    SPR_SCIDIE2,SPR_SCIDIE3,SPR_SCIPAIN2,SPR_SCISHOT1,SPR_SCISHOT2,

// Rats!
    SPR_RAT00,SPR_RAT01,SPR_RAT02,SPR_RAT03,SPR_RAT04,SPR_RAT05,
    SPR_RAT06,SPR_RAT07,SPR_RAT08,SPR_RAT09,SPR_RAT10,SPR_RAT11,
    SPR_RAT12,SPR_RAT13,SPR_RAT14,SPR_RAT15,SPR_RAT16,SPR_RAT17,
    SPR_RAT18,SPR_RAT19,SPR_RAT20,SPR_RAT21,SPR_RAT22,SPR_RAT23,
    SPR_RAT24,SPR_RAT25,SPR_RAT26,SPR_RAT27,SPR_RAT28,SPR_RAT29,
    SPR_RAT30,SPR_RAT31,

// Skull, debris #4, glass E/W and N/S sprites, and Booby-trap detector
    SPR_MISC00,SPR_MISC01,SPR_MISC02,SPR_MISC03,SPR_DETECT,SPR_DETECT0,

// Spider - Ambient actor
    SPR_SPID00,SPR_SPID01,SPR_SPID02,SPR_SPID03,

// "Jaws" (automated claw trap) 3D-Directional Actor
    SPR_JAWS_0,SPR_JAWS_1,SPR_JAWS_2,
    SPR_JAWS_BL0,SPR_JAWS_BL1,SPR_JAWS_BL2,

// Mac dog
    SPR_MACDOG00,SPR_MACDOG01,SPR_MACDOG02,SPR_MACDOG03,SPR_MACDOGDIE0,
    SPR_MACDOGDIE1,SPR_MACDOGDIE2,SPR_MACDOGATK0,SPR_MACDOGATK1,
    SPR_MACDOGATK2,
// Mac tank
    SPR_TANKATK0,SPR_TANKATK1,SPR_TANK00,SPR_TANK01,SPR_TANK02,SPR_TANK03,
    SPR_TANKDIE0,SPR_TANKDIE1,SPR_TANKDIE2,

// Lady boss
    SPR_LADYATK0,SPR_LADYATK1,SPR_LADY0,SPR_LADY1,SPR_LADY2,SPR_LADY3,
    SPR_LADYDIE0,SPR_LADYDIE1,SPR_LADYDIE2,

// Pile of skulls
    SPR_SKULLPILE0,SPR_SKULLPILE1,
    
// Blood drops - first red, then purple
    SPR_BLOODDROP0,SPR_BLOODDROP1,SPR_BLOODDROP2,SPR_BLOODDROP3,
    SPR_BLOODDROP4,SPR_BLOODDROP5,SPR_BLOODDROP6,SPR_BLOODDROP7,
    SPR_BLOODDROP8,SPR_BLOODDROP9,
    SPR_PBLOODDROP0,SPR_PBLOODDROP1,SPR_PBLOODDROP2,SPR_PBLOODDROP3,
    SPR_PBLOODDROP4,SPR_PBLOODDROP5,SPR_PBLOODDROP6,SPR_PBLOODDROP7,
    SPR_PBLOODDROP8,SPR_PBLOODDROP9,

    SPR_DESK1,SPR_DESK2,SPR_DESK3,SPR_DESK4,
    
// Mad Medkits!!!!!!!
    SPR_MEDKITRISE0,SPR_MEDKITRISE1,SPR_MEDKITWALK0,SPR_MEDKITWALK1,
    SPR_MEDKITWALK2,SPR_MEDKITWALK3,SPR_MEDKITATK0,SPR_MEDKITATK1,
    SPR_MEDKITDIE0,SPR_MEDKITDIE1,SPR_MEDKITDIE2,SPR_MEDKITDIE3,

// Dripping water
//    SPR_WATER_0,SPR_WATER_1,SPR_WATER_2,SPR_WATER_3,SPR_WATER_4,

};
